summaryrefslogtreecommitdiffstats
path: root/db-testing
diff options
context:
space:
mode:
authorJudd Vinet <judd@archlinux.org>2006-05-05 03:38:33 +0200
committerJudd Vinet <judd@archlinux.org>2006-05-05 03:38:33 +0200
commit2d8cc96bf6eada340975827b8f631496da79e63b (patch)
tree71d8cbf87f55dc14f29b3984cb9721b9f5a55d4d /db-testing
parentf3d8a756a29d26d91bfe191e717b2a656d39c176 (diff)
downloaddbscripts-2d8cc96bf6eada340975827b8f631496da79e63b.tar.gz
dbscripts-2d8cc96bf6eada340975827b8f631496da79e63b.tar.xz
updates for multi-architecture support
Diffstat (limited to 'db-testing')
-rwxr-xr-xdb-testing12
1 files changed, 7 insertions, 5 deletions
diff --git a/db-testing b/db-testing
index 97039a3..1baad46 100755
--- a/db-testing
+++ b/db-testing
@@ -1,13 +1,15 @@
#!/bin/bash
-# $Id: db-testing,v 1.12 2006/03/10 23:17:48 judd Exp $
+# $Id: db-testing,v 1.13 2006/05/05 01:38:33 judd Exp $
repoid=4
reponame="testing"
+arch="i686"
ftppath="/home/ftp/testing/os/i686"
cvspath="/home/cvs-arch"
cvsmod="testing"
+cvstag="TESTING"
stagedir="$HOME/staging/testing"
@@ -18,13 +20,13 @@ testing_cleanup() {
# catch ^C
trap testing_cleanup SIGINT
-if [ -f /tmp/.repolck.$repoid ]; then
- owner=`/bin/ls -l /tmp/.repolck.$repoid | awk '{print $3}'`
+if [ -f /tmp/.repolck.$arch.$repoid ]; then
+ owner=`/bin/ls -l /tmp/.repolck.$arch.$repoid | awk '{print $3}'`
echo "error: db generation is already in progress (started by $owner)"
exit 1
fi
# lock
-touch /tmp/.repolck.$repoid
+touch /tmp/.repolck.$arch.$repoid
# testing is special, so we have to do the CVS checkout stuff here
testingtmp=$(mktemp -d /tmp/testtmp-XXXXXX) || exit 1
@@ -46,7 +48,7 @@ if [ "`ls $stagedir/add`" -o "`ls $stagedir/del`" ]; then
fi
# unlock
-rm -f /tmp/.repolck.$repoid
+rm -f /tmp/.repolck.$arch.$repoid
# call the real script
. `dirname $0`/db-inc